Skip to main content
POST
/
cards
/
{cardId}
/
spending-limits
Create spending limit for a card
curl --request POST \
  --url https://api.equalsmoney.com/v2/cards/{cardId}/spending-limits \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "amount": 100.5,
  "currencyCode": "GBP",
  "active": true,
  "usageLimit": 15,
  "limitTurnedOff": true,
  "limitWindow": "DAY"
}
'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "amount": 100.5,
  "currencyCode": "GBP",
  "active": true,
  "usageLimit": 15,
  "limitTurnedOff": true,
  "limitWindow": "DAY",
  "available": {
    "uses": 0,
    "amount": 100.5,
    "daysRemaining": 1
  }
}

Authorizations

Authorization
string
header
required

Path Parameters

cardId
string<uuid>
required

The ID of the card to work with.

Maximum string length: 36
Example:

"e9293471-5eb3-4dbc-916c-dbaf9e2deefd"

Query Parameters

accountId
string
required

The ID of the account to work with.

Example:

"F50091"

budgetId
string<uuid>
required

The ID of the budget to work with.

Maximum string length: 36
Example:

"775596ae-2624-40af-a9dc-9756110a4a03"

personId
string<uuid>

The ID of the person to work with.

Maximum string length: 36
Example:

"775596ae-2624-40af-a9dc-9756110a4a04"

Body

application/json

Body

amount
number
required

amount of limit to be set

Example:

100.5

limitWindow
enum<string>
required

Defines the time period to which the limit apply

Available options:
DAY,
WEEK,
MONTH,
LIFETIME
currencyCode
string
Example:

"GBP"

active
boolean

Indicates whether the limit is active on Marqeta.

usageLimit
integer
default:-1

Number of transactions allowed in a given time window. -1 means the limit is disabled. 0 means no transactions can be made.

Required range: x >= -1
Example:

15

limitTurnedOff
boolean

Defines if the limit was turned off by the user

Response

200 - application/json

OK

amount
number
required

amount of limit to be set

Example:

100.5

limitWindow
enum<string>
required

Defines the time period to which the limit apply

Available options:
DAY,
WEEK,
MONTH,
LIFETIME
id
string<uuid>

The ID of the limit to work with.

Maximum string length: 36
currencyCode
string
Example:

"GBP"

active
boolean

Indicates whether the limit is active on Marqeta.

usageLimit
integer
default:-1

Number of transactions allowed in a given time window. -1 means the limit is disabled. 0 means no transactions can be made.

Required range: x >= -1
Example:

15

limitTurnedOff
boolean

Defines if the limit was turned off by the user

available
object